%define prefix /opt/gnome
%define ver 0.80
%define rel 1

Summary: Xunzip uncompressing program for X
Name: gxunzip
Version: %ver
Group: X11/gnome
Release: %rel
Copyright: GPL
URL: http://jas.pspt.fi/~tkoskine/gnome/
Source: GNOME_xunzip-%ver.tar.gz
Packager: Tero Koskinen <tkoskine@jas.pspt.fi>
%description
Xunzip can uncompress zip, bzip2 and gzip files.
Supports both Gnome or KDE environments.
Now compiled for GNOME.

Note! This rpm is for SuSE.

%prep
%setup -n xunzip
%build
./configure --prefix=%prefix
make
%install
export DOCS="COPYING README TODO ChangeLog BUGS"
install -d -m 755 /usr/doc/packages/gxunzip
install -m 644 ${DOCS} /usr/doc/packages/gxunzip
cd gxunzip
make install
%files
%{prefix}/bin/gxunzip
%doc /usr/doc/packages/gxunzip/COPYING
%doc /usr/doc/packages/gxunzip/README
%doc /usr/doc/packages/gxunzip/TODO
%doc /usr/doc/packages/gxunzip/ChangeLog
%doc /usr/doc/packages/gxunzip/BUGS
